    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.security.interfaces.DSAParams

public interface DSAParams

Interface to a DSA-specific set of key parameters, which defines a DSA key family. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

See Also:
  DSAKey, Key, Signature

##

getG()
  Returns the base, `g`.
getP()
  Returns the prime, `p`.
getQ()
  Returns the subprime, `q`.

##

getP

     public abstract BigInteger getP()

  Returns the prime, `p`.

  Returns:
    the prime, `p`.

getQ

     public abstract BigInteger getQ()

  Returns the subprime, `q`.

  Returns:
    the subprime, `q`.

getG

     public abstract BigInteger getG()

  Returns the base, `g`.

  Returns:
    the base, `g`.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.